Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Interface DdlConstants.AstNodeNames

Enclosing interface:
  DdlConstants

    public static interface DdlConstants.AstNodeNames

Field Summary
`static String` | `ADD_COLUMN_DEFINITION`
`static String` | `ADD_TABLE_CONSTRAINT`
`static String` | `ALTER_COLUMN_DEFINITION`
`static String` | `ALTER_TABLE_DEFINITION`
`static String` | `COLUMN_DEFINITION`
`static String` | `COLUMN_REFERENCE`
`static String` | `DROP_COLUMN_DEFINITION`
`static String` | `DROP_TABLE_CONSTRAINT`
`static String` | `TABLE_CONSTRAINT`
`static String` | `TABLE_DEFINITION`

Field Detail

### TABLE_DEFINITION

    static final String TABLE_DEFINITION

See Also:
  Constant Field Values

### ALTER_TABLE_DEFINITION

    static final String ALTER_TABLE_DEFINITION

See Also:
  Constant Field Values

### COLUMN_DEFINITION

    static final String COLUMN_DEFINITION

See Also:
  Constant Field Values

### COLUMN_REFERENCE

    static final String COLUMN_REFERENCE

See Also:
  Constant Field Values

### TABLE_CONSTRAINT

    static final String TABLE_CONSTRAINT

See Also:
  Constant Field Values

### ADD_COLUMN_DEFINITION

    static final String ADD_COLUMN_DEFINITION

See Also:
  Constant Field Values

### ADD_TABLE_CONSTRAINT

    static final String ADD_TABLE_CONSTRAINT

See Also:
  Constant Field Values

### DROP_COLUMN_DEFINITION

    static final String DROP_COLUMN_DEFINITION

See Also:
  Constant Field Values

### DROP_TABLE_CONSTRAINT

    static final String DROP_TABLE_CONSTRAINT

See Also:
  Constant Field Values

### ALTER_COLUMN_DEFINITION

    static final String ALTER_COLUMN_DEFINITION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.